Subject: bug#61258: 29.0.60; pgtk build from git, WSLg, slow, heavy cpu use

From: "J. Scott Berg" <[email-masked]>
Date: Mon, 6 Feb 2023 11:51:57 +0000

WSLg is actually a Wayland server, which is why I built pgtk for it.

> -----Original Message-----
> From: Ruijie Yu <[email-masked]>
> Sent: Friday, February 3, 2023 7:48 PM
> To: J. Scott Berg <[email-masked]>
> Cc: [email-masked]
> Subject: Re: bug#61258: 29.0.60; pgtk build from git, WSLg, slow, heavy cpu
> use
> 
> On Feb 4, 2023, at 02:53, J. Scott Berg <[email-masked]> wrote:
> >
> > Emacs built with pgtk. Editing in f90 mode, though I don't think this is
> > important. Display is WSLg. Severe input lag, to the point off becoming
> > unusable, gets worse with more frames (or just time?). Heavy CPU usage by
> > emacs while doing anything. Problem not seen when not built with pgtk.
> 
> Hello,
> 
> Last time I checked, PGTK only aims to support Wayland -- while
> incidentally also *usually but not always* work in X -- and WSLg is an X
> server/client thing.  There is even a warning shown when I run my PGTK
> build on an X DE.  So, intuitively, if my information is correct and up to
> date, you are not expected to run PGTK build on WSLg and you would need to
> disable the PGTK flag during config.
> 
> > In GNU Emacs 29.0.60 (build 1, x86_64-pc-linux-gnu, GTK+ Version
> > 3.24.36, cairo version 1.17.6) of 2023-02-01 built on LAD-158343
> > Repository revision: f91bf9df892417a2e4add6d0d77ac5123a579bfc
> > Repository branch: emacs-29
> > System Description: Arch Linux
> >
> > Configured using:
> > 'configure --prefix=/home/jsberg/opt/emacs-230201-f91bf9df892
> > --with-pgtk --with-native-compilation'
> >
> > Configured features:
> > ACL CAIRO DBUS FREETYPE GIF GLIB GMP GNUTLS GPM GSETTINGS HARFBUZZ JPEG
> > JSON LCMS2 LIBOTF LIBSYSTEMD LIBXML2 MODULES NATIVE_COMP NOTIFY INOTIFY
> > PDUMPER PGTK PNG RSVG SECCOMP SOUND SQLITE3 THREADS TIFF
> > TOOLKIT_SCROLL_BARS WEBP XIM GTK3 ZLIB
> 
> Best,
> 
> 
> RY